#!/usr/local/bin/astra

sat_mx7 = dvb_tune({
    name = "sat_mx7",
    type = "S2",
    adapter = 0, 
    tp = "12245:V:30000",
    lnb = "9750:10600:11700",
    modulation="PSK8",
    diseqc = 2,
    log_signal = 1,
    raw_signal=0
})

mx7 = make_t2mi_decap({
	name = "mx7",
	input = "dvb://sat_mx7#pnr=800&biss=1111113311111133",
	plp = 0, -- optional, defaults to first PLP listed in L1
	pid = 4096, -- optional, force payload pid
        })

mx7sos = make_t2mi_decap({
	name = "mx7sos",
	input = "dvb://sat_mx7",
	plp = 0, -- optional, defaults to first PLP listed in L1
	pid = 4097, -- optional, force payload pid
        })

make_channel({
    name = "MX7",
    input = {
        "t2mi://mx7"
    },
    output = {
        "http://0.0.0.0:1000"
    }
})

make_channel({
    name = "MX7 SOS",
    input = {
        "t2mi://mx7sos"
    },
    output = {
        "http://0.0.0.0:1001"
    }
})
